IOPWDOG(4) | Device Drivers Manual (evbarm) | IOPWDOG(4)

# NAME

`iopwdog` —
Intel I/O Processor Watchdog Timer

# SYNOPSIS

`iopxs* at mainbus?`
`iopwdog* at iopxs?`

# DESCRIPTION

The `iopwdog` driver supports the watchdog timer built-in to the following Intel I/O Processors:

- Intel i80321 I/O Processor

The watchdog timer counts down at a fixed rate based on the clock speed of the XScale CPU core. The period of the watchdog timer cannot be changed, nor can the watchdog time be disabled once is has been enabled.

# SEE ALSO

wdogctl(8)

# HISTORY

The `iopwdog` device first appeared in NetBSD 2.0.

# AUTHORS

The `iopwdog` driver was written by Jason R. Thorpe <thorpej@wasabisystems.com> and contributed by Wasabi Systems, Inc.

August 2, 2002 | NetBSD 9.4